## netstress 1.2.0

=== Makefile ===
##############################################################################
# Package: netstress Network Stress utility
# File: Makefile.arch
##############################################################################

CURDIR=$(shell basename $(shell pwd))

CFLAGS+=-O2 -Wall ${INC}
#CFLAGS+=-g -Wall ${INC}

BIN_DIR=/usr/sbin

### Currently have pkgdir/topdir nested to facilitate creating RPM's
pkgdir=pkgdir
topdir=${pkgdir}/topdir

##############################################################################

ifeq (${ARCH},)
  ARCH:=$(shell arch)
endif

ifeq (${ARCH},i686)
  ARCH:=i386
endif

ifeq (${ARCH},x86_64)
  ARCH:=amd64
endif

##############################################################################

PKGname:=$(shell grep -e "[^[:space:]]" PKGname)
PKGversion:=$(shell grep -e "[^[:space:]]" PKGversion)
PKGarch:=${ARCH}

##############################################################################

.PHONY: all
all: ${ARCH}/netstress

##############################################################################

${ARCH}/netstress: ${ARCH}/netstress.o
	${CC} ${CFLAGS} -o $@ $^

##############################################################################

${ARCH}/%.o: %.c
	@mkdir -v -p ${ARCH}
	${CC} ${CFLAGS} -c -o $@ $^

##############################################################################

.PHONY: bin_install
bin_install: ${ARCH}/netstress
	@if [ -d "${pkgdir}" ]; then rm -fr ${pkgdir}; fi
	@mkdir -p --verbose ${topdir}
	@#
	@install -v -d -m 755 ${topdir}/${INSTALL_DIR}
	@install -v -d -m 755 ${topdir}/${BIN_DIR}
	@install -v -m 755 ${ARCH}/netstress ${topdir}/${BIN_DIR}/

##############################################################################

.PHONY: deb_install
deb_install:
	${MAKE} bin_install
	@# Place the debian package information/scripts in place
	@install -v -d -m 755 ${topdir}/DEBIAN
	@install -v -m 644 DEBIAN/control ${topdir}/DEBIAN/control
	@#
	@# Replace PKGname, PKGarch and PKGversion in the control file
	sed -i	-e"s/^Package:.*/Package: ${PKGname}/g" \
		-e"s/^Version:.*/Version: ${PKGversion}/g" \
		-e"s/^Architecture:.*/Architecture: ${PKGarch}/g" \
		${topdir}/DEBIAN/control
		
##############################################################################

.PHONY: rpm_install
rpm_install:
	${MAKE} bin_install
	@# Place the redhat package information/scripts in place
	@# TBD

##############################################################################

DEB_PKG:="${ARCH}/${PKGname}_${PKGversion}_${PKGarch}.deb"

.PHONY: deb debian
deb: ${DEB_PKG}
debian: ${DEB_PKG}

${DEB_PKG}:
	${MAKE} deb_install
	@# Create the ${topdir}/DEBIAN/md5sums file
	@cd ${topdir}; \
	find . ! -path \*/DEBIAN/\* -type f | xargs md5sum > DEBIAN/md5sums
	@#
	@# Create the actual .deb package
	dpkg-deb -b ${topdir} ${DEB_PKG}
	@ls -l ${DEB_PKG}

##############################################################################

RPM_PKG:="${ARCH}/${PKGname}_${PKGversion}_${PKGarch}.rpm"

.PHONY: rpm redhat
rpm: ${DEB_PKG}
redhat: ${DEB_PKG}

${RPM_PKG}:
	${MAKE} rpm_install
	@# TBD

##############################################################################

BINTAR_PKG:=${ARCH}/${PKGname}_${PKGversion}_${ARCH}.tgz

.PHONY: bintar
bintar: ${BINTAR_PKG}

${BINTAR_PKG}:
	${MAKE} bin_install
	cd ${topdir}; \
	tar -czv -f ../../$@ .

##############################################################################

SRCTAR_PKG:=${PKGname}_${PKGversion}_src.tgz

.PHONY: srctar
srctar: ${SRCTAR_PKG}

${SRCTAR_PKG}:
	cd ..; \
	tar -czv -X ${CURDIR}/tar-excludes -f ${CURDIR}/$@ ${CURDIR}

##############################################################################

.PHONY: done
done:
	echo ""
	@find . | grep -e"\.tgz$$" -e"\.deb$$" -e"\.rpm$$" | xargs ls -lh

.PHONY: package
package:
	${MAKE} debian
	${MAKE} redhat
	${MAKE} bintar
	${MAKE} srctar
	${MAKE} done

##############################################################################

.PHONY: clean
clean:
	-@if [ -d "${ARCH}" ]; then rm -fr ${ARCH}; fi
	-@find . -mindepth 1 -maxdepth 1 -name "*.tgz" | xargs rm -f
	-@find . -mindepth 1 -maxdepth 1 -name "*.rpm" | xargs rm -f
	-@find . -mindepth 1 -maxdepth 1 -name "*.deb" | xargs rm -f
	-@rm -fr pkgdir

.PHONY: cleanall
cleanall: clean
	-@for THIS_ARCH in 1386 amd64; do \
		if [ -d "$${THIS_ARCH}" ]; then rm -fr $${THIS_ARCH}; fi; \
	done

##############################################################################

=== debian/changelog ===
netstress (1.2.0-7) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Feb 2020 11:40:08 -0300

netstress (1.2.0-6) unstable; urgency=medium

  * New maintainer. Thanks to Giovani for all previous work. (Closes: #880808)
  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Reviewed short and long descriptions.
      - Updated Vcs-* fields to use Salsa.
  * debian/copyright:
      - Added packaging rights for me.
      - Removed paragraph about debian/manpage/genallman.sh because it is no
        longer used.
  * debian/docs: added to install Releasenotes.
  * debian/manpage/: changed manpage build from genallman.sh to create-man.sh.
  * debian/patches/:
      - fix-makefile.patch: renamed to 010_fix-makefile.patch.
      - fix-typo.patch: renamed to 020_fix-typo.patch.
  * debian/tests/control: added to provide a trivial test.
  * debian/watch: using https.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Dec 2018 21:24:58 -0200

netstress (1.2.0-5) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #880808)
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
  * debian/copyright:
      - Updated my email address.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 06 Nov 2017 23:31:30 -0200

netstress (1.2.0-4) unstable; urgency=medium

  * Update DH level to 10.
  * debian/compat: updated to 10.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 17 Dec 2016 00:47:02 -0200

netstress (1.2.0-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix-makefile: removed, useless file.
  * debian/patches/fix-makefile.patch: fixed a typo in description.
  * debian/patches/fix-typo.patch: created to fix a typo in the source code.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Fri, 12 Aug 2016 22:48:34 -0300

netstress (1.2.0-2) unstable; urgency=medium

  * debian/control:
      - Added the Vcs-* fields to control the Debian packaging.
      - Bumped Standards-Version to 3.9.7.
  * debian/patches/fix-makefile:
      - Renamed to fix-makefile.patch
  * debian/watch:
      - Bumped to version 4.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Mon, 04 Apr 2016 22:08:12 -0300

netstress (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #790400)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 11 Oct 2015 15:06:09 -0300

=== debian/control ===
Source: netstress
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://sourceforge.net/projects/netstress/
Vcs-Browser: https://salsa.debian.org/debian/netstress
Vcs-Git: https://salsa.debian.org/debian/netstress.git


Package: netstress
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to stress and benchmark networks
 netstress is a client/server utility designed to stress and benchmark network
 activity of a given ethernet device or path using simulated (random) real world
 data and packet sizes instead of fixed data and packet sizes.
 .
 Main features:
   - Easy command line usage.
   - Random packet sizes.
   - Random data.
   - Read, write, or read & write (default) testing and reporting.
   - Benchmarking results.
 .
 netstress is useful for network tests across switches, routers and firewall
 systems.

=== debian/tests/control ===
# Without grep, autopkgtest command hangs. Bug?
Test-Command: netstress --help | grep Usage -A 50

=== debian/watch ===
version=4
https://sf.net/netstress/netstress(?:[\._])([\d\.]+)(?:_src)?\.(?:tgz|tar\.(?:bz2|gz|xz))
